<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="select-host" superservice="syslog">

 <lire:title>Select Host Filter</lire:title>

 <lire:description>
  <para>This filter can be used to select
   <structname>syslog</structname> records based on the host from
   which the event was received.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="host_match" type="string" default=".*">
   <lire:description>
    <para>Regular expression used to select the host that the
    event must come from. The match is case insensitive.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>messages coming from hosts matching $host_match</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$hostname" re="$host_match" case-sensitive="false"/>
 </lire:filter-spec>

</lire:global-filter-spec>
